
Infrastructure - Task #6715

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Task # 6734 (Closed): Implement the feature to support SID in MN and CN apis

The sid handling in the MN.getLogRecord

2015-01-05 21:37 - Jing Tao

Status: Closed Start date: 2015-01-05

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

The documentation on 

http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/design/ContentMutabi

lity.html says:

MN.getLogRecords(?idFilter):

Filter results to include: PIDs that match the idFilter. SIDs that match the idFilter. N.B. Log.identifier field will only contain PID values,

no SIDs.

During our standup meeting, we decided:

GetLogRecord can be called with a PID or a SID. The MN should resolve the SID to the HEAD PID, and return the log records for

that PID. If a client wishes to retrieve log records for the entire family of objects referenced by a SID, then the client should retrieve a

list of PIDs for the SID, the call getLogRecords for each PID to retrieve the entire set of log records.

History

#1 - 2015-01-06 23:45 - Jing Tao

- Parent task set to #6734

#2 - 2015-03-31 23:08 - Jing Tao

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

The code was added to handle SID and the junit test passed.
